OVH Community, votre nouvel espace communautaire.

Amavis ne rédemarre pas / Debian Release 3 OVH


van_dragonheart
27/01/2015, 08h36
Problème résolu avec ton lien.
Merci de ta réponse.
Je n'ai pourtant pas tripoté ces fichiers...

Encore merci d'avoir pris le temps de me répondre.

Très belle journée.

NicolasFR
25/01/2015, 07h45
Tu peux télécharger les fichiers lib ici :

http://demo.ovh.eu/fr/d019d85f89cab0ab908183f08be52e67/

Mais il faudrait comprendre d'où est venu cet effacement...

van_dragonheart
24/01/2015, 21h39
Ola.

Bon je n ai toujours pas réussi à trouver mon problème.

Par contre j ai réussi à trouver celui de mon titre. Je suis bien sûr sur Centos et pas Debian, pauvre fou que je suis.

Toujours personne ?

Merci.

van_dragonheart
23/01/2015, 11h45
Bonjour.

J'ai un souci avec amavis.
Je suis sous Debian avec une release 3 de chez OVH .

J'ai redémarré mon serveur hier après une mise à jour et depuis, je ne peux plus démarrer amavis.

Voici l'erreur qui s'affiche sur Webmin quand je veux redémarrer le service.

Unable to restart services
Shutting down amavisd: fetch_modules: error loading required module Net/Server.pm: Net/Server.pm did not return a true value at /usr/sbin/amavisd line 205. fetch_modules: error loading required module Net/Server/PreFork.pm: Net/Server/PreFork.pm did not return a true value at /usr/sbin/amavisd line 205. ERROR: MISSING REQUIRED BASIC MODULES: Net::Server Net::Server::PreFork BEGIN failed--compilation aborted at /usr/sbin/amavisd line 246. [FAILED] Starting amavisd: fetch_modules: error loading required module Net/Server.pm: Net/Server.pm did not return a true value at /usr/sbin/amavisd line 205. fetch_modules: error loading required module Net/Server/PreFork.pm: Net/Server/PreFork.pm did not return a true value at /usr/sbin/amavisd line 205. ERROR: MISSING REQUIRED BASIC MODULES: Net::Server Net::Server::PreFork BEGIN failed--compilation aborted at /usr/sbin/amavisd line 246. [FAILED]

Lorsque j'essaie de démarrer le service en ligne de commande, voici l'erreur qui s'affiche dans le terminal.
Starting clamd.amavisd: clamd.amavisd: error while loading shared libraries: /usr/lib64/libclamav.so.6: file too short
[FAILED]

Le fichier libclamav.so.6 est vide quand je l'ouvre.
Il y a un autre fichier nommé libclamav.so.6.1.22 qui se trouve dans le même dossier et celui-là est également vide.

Du coup je ne sais pas trop quoi faire. Quelque chose m'échappe.

Quelqu'un a déjà eu le problème ?

Merci de vos retours.